Motion - Bug Report 2011x 07x 13x 185258

BUG: Video loopback broken with kernels 2.6.38 and above

These kernels no longer support v4l1. I found a v4l2loopback at https://github.com/umlaeute/v4l2loopback but motion fails with it with:

Jul 13 13:38:48 wile motion: [1] ioctl (VIDIOCGPICT): Invalid argument Jul 13 13:38:48 wile motion: [1] Failed to open video loopback

it appears to be attempting to talk to it with V4L1 calls.

Paste in your error messages, config settings, terminal window output etc in this text field.

Environment

Motion version: 3.2.12
ffmpeg version: 0.8.0
Shared libraries: ffmpeg, mysql, postgresql
Server OS:  
-- JohnGoerzen - 13 Jul 2011

Follow up

Indeed , vloopback needs to be upgraded to work with v4L2 and integrate this in motion.

Cheers,

-- AngelCarpintero - 29 Oct 2011


I'll integrate v4l2loopback

https://github.com/umlaeute/v4l2loopback

Cheers,

-- AngelCarpintero - 29 Oct 2011

Fix record

Topic revision: r2 - 29 Oct 2011, AngelCarpintero
Copyright © 1999-2017 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Please do not email Kenneth for support questions (read why). Use the Support Requests page or join the Mailing List.
This website only use harmless session cookies. See Cookie Policy for details. By using this website you accept the use of these cookies.